// gnome.xonotic.in.ua

models/mapobjects/barrel/barrel2
{
	{
		map models/mapobjects/barrel/barrel2.tga
		rgbgen vertex
	}
	{
		clampmap models/mapobjects/barrel/barrel2fx.tga
		blendfunc gl_one gl_one
		tcmod rotate 403
	}
	{
		clampmap models/mapobjects/barrel/barrel2fx.tga
		blendfunc gl_one gl_one
		tcmod rotate -100
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_light/ceil1_30
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_30.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light5_15k
{
	qer_editorimage textures/base_light/light5.tga
	q3map_lightimage textures/base_light/light5.blend.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 15000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light5.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc add
	}
}

textures/base_support/support1shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_support/support1shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/electricwall
{
	qer_editorimage textures/organics/wire02a_f.tga
	light 1
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/organics/wire02a_f.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/organics/wire02a_f.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/sfx/electric2.blend.tga
		rgbgen wave sin 0.6 1 0 2
		tcmod scroll 0.53 0.43
		blendfunc gl_one gl_one
	}
}

textures/base_trim/panel_glo
{
	{
		map textures/sfx/firegorre2.tga
		tcmod turb 0 .6 0 0.06
		tcmod scale .53 .61
		tcmod scroll 0 4
		blendfunc gl_one gl_zero
		rgbgen wave sin 1 1 0 .1
	}
	{
		map textures/base_trim/panel_glo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/spidertrim
{
	{
		map textures/evil5_metal/drkrstmtl.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/base_wall/metalfloor_wall_15ow
{
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/hologirl.tga
		tcmod scale 2 .4
		tcmod scroll 6 .6
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/evil8_fx/e8_launchpad1
{
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/evil8_fx/e8_launchpad1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
		tcgen lightmap
	}
}

textures/gothic_floor/xq1metalbig_ow
{
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		rgbgen identity
	}
	{
		map textures/sfx/specular.tga
		tcgen environment
		tcmod scale 3 3
		tcmod turb 0 .25 0 .05
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/jajspace2/jajspace2_skybox
{
	qer_editorimage textures/jajspace2/jajspace2_rt_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 25
	surfaceparm sky
	q3map_sun 0.7 0.7 1.00 70 180 0
	skyparms env/jajspace2/jajspace2 - -
}

textures/mps/jungle05
{
	q3map_lightimage textures/mps/jungle05glow.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/mps/jungle05glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 .5 8
		tcmod scroll 0 .5
	}
	{
		map textures/mps/jungle05.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/mps/jungle05b.tga
		blendfunc add
		rgbgen identity
	}
}

textures/pka13/pka13_redflare
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	q3map_surfacelight 250
	{
		map textures/pka13/pka13_redflare.tga
		blendfunc add
		rgbgen wave square 0.5 0.5 0 1
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/speedtech_floors/st_floor1_mark1_yellow
{
	qer_editorimage textures/speedtech_floors/st_floor1_mark1.tga
	q3map_lightimage textures/speedtech_floors/st_floor1_mark1_yellow.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/speedtech_floors/st_floor1_mark1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/speedtech_floors/st_floor1_mark1_yellow.tga
		blendfunc add
		rgbgen wave sin 0.6 0.3 0.25 0.3
	}
}

textures/speedtech_floors/st_floor1_pad1or
{
	qer_editorimage textures/speedtech_floors/st_floor1_pad1.tga
	q3map_lightimage textures/speedtech_floors/st_floor1_pad1_blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/speedtech_floors/st_floor1_pad1.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/speedtech_floors/st_floor1_pad1_blend.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1.2 2 0.6
	}
}

textures/speedtech_floors/st_floor1_pad2or
{
	qer_editorimage textures/speedtech_floors/st_floor1_pad2.tga
	q3map_lightimage textures/speedtech_floors/st_floor1_pad2_blend.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/speedtech_floors/st_floor1_pad2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/speedtech_floors/st_floor1_pad2_blend.tga
		blendfunc add
		rgbgen wave triangle 0 1 0.3 0.7
	}
}

textures/tech1soc_sfx/lig_032-03b1-2k
{
	qer_editorimage textures/tech1soc_sfx/032lig12ba.tga
	q3map_lightimage textures/tech1soc_sfx/032lig12b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/tech1soc_sfx/032lig12ba.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/tech1soc_sfx/032lig12b.blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth .6 .1 0 7
	}
}

textures/teleporterfx/energy
{
	cull disable
	{
		map textures/teleporterfx/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map textures/teleporterfx/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map textures/teleporterfx/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

